play.db.jpa

## Class HibernateInterceptor

- java.lang.Object
- - org.hibernate.EmptyInterceptor
  - - play.db.jpa.HibernateInterceptor

All Implemented Interfaces:
  java.io.Serializable, Interceptor

    public class HibernateInterceptor
    extends EmptyInterceptor

See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.ThreadLocal<java.lang.Object>` `entities`

### Fields inherited from class org.hibernate.EmptyInterceptor

`INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`HibernateInterceptor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `afterTransactionCompletion(Transaction tx)`
`int[]` `findDirty(java.lang.Object o, java.io.Serializable id, java.lang.Object[] arg2, java.lang.Object[] arg3, java.lang.String[] arg4, Type[] arg5)`
`boolean` `onCollectionRecreate(java.lang.Object collection, java.io.Serializable key)`
`boolean` `onCollectionRemove(java.lang.Object collection, java.io.Serializable key)`
`boolean` `onCollectionUpdate(java.lang.Object collection, java.io.Serializable key)`
`boolean` `onSave(java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, Type[] types)`

### Methods inherited from class org.hibernate.EmptyInterceptor

`afterTransactionBegin, beforeTransactionCompletion, getEntity, getEntityName, instantiate, isTransient, onDelete, onFlushDirty, onLoad, onPrepareStatement, postFlush, preFlush`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### entities

    protected final java.lang.ThreadLocal<java.lang.Object> entities

### Constructor Detail

#### HibernateInterceptor

    public HibernateInterceptor()

### Method Detail

#### findDirty

    public int[] findDirty(java.lang.Object o,
                           java.io.Serializable id,
                           java.lang.Object[] arg2,
                           java.lang.Object[] arg3,
                           java.lang.String[] arg4,
                           Type[] arg5)

Specified by:
  `findDirty` in interface `Interceptor`
Overrides:
  `findDirty` in class `EmptyInterceptor`

#### onCollectionUpdate

    public boolean onCollectionUpdate(java.lang.Object collection,
                                      java.io.Serializable key)
                               throws CallbackException

Specified by:
  `onCollectionUpdate` in interface `Interceptor`
Overrides:
  `onCollectionUpdate` in class `EmptyInterceptor`
Throws:
  `CallbackException`

#### onCollectionRecreate

    public boolean onCollectionRecreate(java.lang.Object collection,
                                        java.io.Serializable key)
                                 throws CallbackException

Specified by:
  `onCollectionRecreate` in interface `Interceptor`
Overrides:
  `onCollectionRecreate` in class `EmptyInterceptor`
Throws:
  `CallbackException`

#### onCollectionRemove

    public boolean onCollectionRemove(java.lang.Object collection,
                                      java.io.Serializable key)
                               throws CallbackException

Specified by:
  `onCollectionRemove` in interface `Interceptor`
Overrides:
  `onCollectionRemove` in class `EmptyInterceptor`
Throws:
  `CallbackException`

#### onSave

    public boolean onSave(java.lang.Object entity,
                          java.io.Serializable id,
                          java.lang.Object[] state,
                          java.lang.String[] propertyNames,
                          Type[] types)

Specified by:
  `onSave` in interface `Interceptor`
Overrides:
  `onSave` in class `EmptyInterceptor`

#### afterTransactionCompletion

    public void afterTransactionCompletion(Transaction tx)

Specified by:
  `afterTransactionCompletion` in interface `Interceptor`
Overrides:
  `afterTransactionCompletion` in class `EmptyInterceptor`